| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IPersistencySvc Class Referenceabstract

Data persistency service interface. More...

`#include <GaudiKernel/IPersistencySvc.h>`

Inheritance diagram for IPersistencySvc:
[legend]
Collaboration diagram for IPersistencySvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IPersistencySvc, 2, 0)
| InterfaceID. More...
virtual StatusCode | setDefaultCnvService (long type)=0
| Set default service type. More...
virtual StatusCode | addCnvService (IConversionSvc *service)=0
| Add new Conversion Service. More...
virtual StatusCode | removeCnvService (long type)=0
| Remove Conversion Service. More...
virtual StatusCode | getService (long service_type, IConversionSvc *&refpSvc)=0
| Retrieve conversion service identified by technology. More...
virtual StatusCode | getService (const std::string &service_type, IConversionSvc *&refpSvc)=0
| Retrieve conversion service identified by technology. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Data persistency service interface.

Author
  Markus Frank

Version
  1.0

Definition at line 19 of file IPersistencySvc.h.

## Member Function Documentation

virtual StatusCode IPersistencySvc::addCnvService | ( | IConversionSvc * | service | ) |
| pure virtual

Add new Conversion Service.

Returns
  Status code indicating success or failure.

Parameters

  service | Pointer to conversion service interface.

IPersistencySvc::DeclareInterfaceID | ( | IPersistencySvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IPersistencySvc::getService | ( | long | service_type,
|  | IConversionSvc *& | refpSvc
| ) |  |
| pure virtual

Retrieve conversion service identified by technology.

Returns
  Status code indicating success or failure.

Parameters

  service_type | Storage technology type.
  refpSvc | Reference to pointer to interface of required service.

virtual StatusCode IPersistencySvc::getService | ( | const std::string & | service_type,
|  | IConversionSvc *& | refpSvc
| ) |  |
| pure virtual

Retrieve conversion service identified by technology.

Returns
  Status code indicating success or failure.

Parameters

  service_type | Storage technology type (ROOT, MS Access, ....)
  refpSvc | Reference to pointer to interface of required service.

virtual StatusCode IPersistencySvc::removeCnvService | ( | long | type | ) |
| pure virtual

Remove Conversion Service.

Returns
  Status code indicating success or failure.

Parameters

  type | Storage technology type.

virtual StatusCode IPersistencySvc::setDefaultCnvService | ( | long | type | ) |
| pure virtual

Set default service type.

Returns
  Status code indicating success or failure.

Parameters

  type | Storage technology type.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IPersistencySvc.h